%define oname xfce4-weather-plugin
 
Summary:	A weather plugin for the Xfce panel
Name:		xfce-weather-plugin
Version:	0.6.0
Release:	%mkrel 3
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-weather-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-weather-plugin/xfce4-weather-plugin-%{version}.tar.bz2
Requires:	xfce-panel >= 4.3.0
BuildRequires:	xfce-panel-devel >= 4.3.0
BuildRequires:	libxfcegui4-devel >= 4.3
BuildRequires:	perl-XML-Parser
Obsoletes:	xfce-weather
Provides:	xfce-weather
Obsoletes:	xfce-weather-panel
Provides:	xfce-weather-panel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This panel plugin shows the current temperature and weather condition, 
using weather data provided by xoap.weather.com (www.weather.com).

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 
 
%find_lang %{oname}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%dir %{_datadir}/xfce4/weather
%{_datadir}/xfce4/weather/*
%{_datadir}/xfce4/panel-plugins/*
%{_libdir}/xfce4/panel-plugins/
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-3mdv2008.0
+ Revision: 31037
- add %%post and %%postun scripts

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 30499
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 30295
- new version


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.99.1-1mdv2007.0
+ Revision: 103214
- Update

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-weather-plugin-0.5.90.2-1mdv2007.0

* Wed Aug 09 2006 Charles A Edwards <eslrahc@mandriva.org> 0.5.90.2-1mdv2007
- 0.5.90.2
- update URL
- update file list

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.5.0-4mdv2007.0
- rebuild for xfce-4.3.90.2

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.5.0-3mdv2007.0
- rename .spec
- BR
- update desc

* Sun Feb 12 2006 Marcel Pol <mpol@mandriva.org> 0.5.0-2mdk
- buildrequires perl-XML-Parser

* Sat Feb 11 2006 Marcel Pol <mpol@mandrake> 0.5.0-1mdk
- 0.5.0
- require new panel >= 4.3.0
- redefine oname to xfce4-weather-plugin

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 0.4.9-1mdk
- 0.4.9
- %%{1}mdv2007.1
- rename xfce-weather-plugin

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.4.1-1mdk
- 0.4.1
- group: Graphical desktop/Xfce
- add language files
- remove unneeded devel files

* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.3.9.1-1mdk
- use plugin in name
- build against new panel
- add O/P

* Thu Jul 01 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.9.1-0.1mdk
- 0.3.9.1
- update URL

* Mon May 31 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.9-1mdk
- 0.3.9
- reenable libtoolize
- update URL

* Wed Feb 18 2004 Charles A Edwards <eslrahc@mandrake.org> 0.2.0-1mdk
- first mdk pkg

